Bug 986659 - some language name to its locale code failed
some language name to its locale code failed
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: langtable (Show other bugs)
19
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Mike FABIAN
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-07-21 07:23 EDT by Parag Nemade
Modified: 2013-09-11 22:00 EDT (History)
2 users (show)

See Also:
Fixed In Version: langtable-0.0.13-1.fc19
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-09-11 22:00:20 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Parag Nemade 2013-07-21 07:23:42 EDT
Description of problem:
>>> langtable.language_name(languageId="pt_BR", languageIdQuery="en").encode("UTF-8")
'Portuguese (Brazil)'
but following is failed
>>> langtable.languageId(languageName="Portuguese (Brazil)")
''

Version-Release number of selected component (if applicable):
langtable-0.0.7-1.fc19.noarch

How reproducible:
always

Steps to Reproduce:
1.
2.
3.

Actual results:


Expected results:


Additional info:
Comment 1 Parag Nemade 2013-07-22 09:31:06 EDT
Let me add some more information.

As we see that language_name() picks locale name and gives correct language name for it. I need now reverse of this to be provided by languageId()

If I get some language name output for pt_BR using language_name() then same language name when given as input to languageId() should return pt_BR locale code.
Comment 2 Fedora Update System 2013-08-04 01:28:02 EDT
langtable-0.0.9-1.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/langtable-0.0.9-1.fc19
Comment 3 Fedora Update System 2013-08-04 19:02:42 EDT
Package langtable-0.0.9-1.fc19:
* should fix your issue,
* was pushed to the Fedora 19 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing langtable-0.0.9-1.fc19'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2013-14217/langtable-0.0.9-1.fc19
then log in and leave karma (feedback).
Comment 4 Fedora Update System 2013-08-13 10:54:19 EDT
langtable-0.0.10-1.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/langtable-0.0.10-1.fc19
Comment 5 Fedora Update System 2013-08-19 03:05:33 EDT
langtable-0.0.11-1.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/langtable-0.0.11-1.fc19
Comment 6 Fedora Update System 2013-08-28 08:01:20 EDT
langtable-0.0.12-1.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/langtable-0.0.12-1.fc19
Comment 7 Fedora Update System 2013-09-05 06:09:41 EDT
langtable-0.0.13-1.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/langtable-0.0.13-1.fc19
Comment 8 Fedora Update System 2013-09-11 22:00:20 EDT
langtable-0.0.13-1.fc19 has been pushed to the Fedora 19 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.